---
title: "更新履约单库存地点"
description: "移动履约单到新地点，变更履约单的库存地点"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/shipping-and-fulfillment/update-inventory-location-for-fulfillment-order'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/shipping-and-fulfillment/update-inventory-location-for-fulfillment-order.md'
---
# 更新履约单库存地点

移动履约单到新地点，变更履约单的库存地点

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_assigned_fulfillment_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /fulfillment_orders/:order_id/:fulfillment_order_id/move.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `write_assigned_fulfillment_orders`

## Request

### Path Parameters

* `fulfillment_order_id`

  string (required)

  履约单id

* `order_id`

  string (required)

  订单id

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `fulfillment_order`

  object

  入参

  * `new_location_id`

    string

    新地点id

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `original_fulfillment_order`

  object

  原履约单详情

  * `id`

    string

    履约单id

  * `shop_id`

    string

    店铺id

  * `supported_actions`

    array<string>

    履约单支持的操作,包括：create_fulfillment -- 创建发货，move -- 移动到新地点，hold -- 暂停发货，release_hold -- （暂停之后）开始发货

  * `order_id`

    string

    订单id

  * `status`

    string

    履约单状态，包括：open，in_progress，closed，cancelled，incomplete，on_hold，scheduled

  * `assigned_location_id`

    string

    被分配的地点id

  * `line_items`

    array<object>

    商品行信息

    * `fulfillable_quantity`

      long

      可履约商品数量

    * `fulfillment_order_id`

      string

      履约单id

    * `id`

      string

      履约单商品行id

    * `line_item_id`

      string

      商品行id

    * `quantity`

      long

      订单商品行商品数量

    * `shop_id`

      string

      店铺id

    * `variant_id`

      string

      商品sku

  * `request_status`

    string

    请求状态，包括：accepted，cancellation_accepted, cancellation_rejected，cancellation_Requested，closed，rejected，submitted，unsubmitted

  * `assigned_location`

    object

    被分配的地点详情

    * `address2`

      string

      地址2

    * `name`

      string

      地点名称

    * `phone`

      string

      地点电话号码

    * `city`

      string

      城市

    * `country_code`

      string

      国家码

    * `location_id`

      string

      地点id

    * `province`

      string

      地点省份

    * `zip`

      string

      地点邮编

    * `address1`

      string

      地址1

  * `destination`

    object

    收货人信息

    * `company`

      string

      收货人公司

    * `last_name`

      string

      收货人姓氏

    * `zip`

      string

      收货人地址邮编

    * `phone`

      string

      收货人电话号码

    * `address2`

      string

      收货人地址2

    * `email`

      string

      收货人邮箱

    * `first_name`

      string

      收货人名称

    * `country`

      string

      收货人国家

    * `address1`

      string

      收货人地址1

    * `city`

      string

      收货人城市

    * `province`

      string

      收货人省份

* `moved_fulfillment_order`

  object

  新履约单详情

  * `line_items`

    array<object>

    商品行信息

    * `shop_id`

      string

      店铺id

    * `variant_id`

      string

      商品sku

    * `fulfillable_quantity`

      long

      可履约商品数量

    * `fulfillment_order_id`

      string

      履约单id

    * `id`

      string

      履约单商品行id

    * `line_item_id`

      string

      商品行id

    * `quantity`

      long

      订单商品行商品数量

  * `assigned_location`

    object

    被分配的地点详情

    * `zip`

      string

      地点邮编

    * `address1`

      string

      地址1

    * `name`

      string

      地点名称

    * `phone`

      string

      地点电话号码

    * `location_id`

      string

      地点id

    * `address2`

      string

      地址2

    * `province`

      string

      地点省份

    * `city`

      string

      城市

    * `country_code`

      string

      国家码

  * `supported_actions`

    array<string>

    履约单支持的操作,包括：create_fulfillment -- 创建发货，move -- 移动到新地点，hold -- 暂停发货，release_hold -- （暂停之后）开始发货

  * `assigned_location_id`

    string

    被分配的地点id

  * `request_status`

    string

    请求状态，包括：accepted，cancellation_accepted, cancellation_rejected，cancellation_Requested，closed，rejected，submitted，unsubmitted

  * `destination`

    object

    收货人信息

    * `province`

      string

      收货人省份

    * `address2`

      string

      收货人地址2

    * `company`

      string

      收货人公司

    * `country`

      string

      收货人国家

    * `zip`

      string

      收货人地址邮编

    * `email`

      string

      收货人邮箱

    * `first_name`

      string

      收货人名称

    * `last_name`

      string

      收货人姓氏

    * `phone`

      string

      收货人电话号码

    * `city`

      string

      收货人城市

    * `address1`

      string

      收货人地址1

  * `shop_id`

    string

    店铺id

  * `order_id`

    string

    订单id

  * `id`

    string

    履约单id

  * `status`

    string

    履约单状态，包括：open，in_progress，closed，cancelled，incomplete，on_hold，scheduled


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "移动履约单到新地点，变更履约单的库存地点",
  "externalDocs": {
    "description": "接口使用的权限点: `write_assigned_fulfillment_orders` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "rMQt61XZ",
  "parameters": [
    {
      "name": "fulfillment_order_id",
      "in": "path",
      "description": "履约单id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "fulfillment_order_id",
        "description": "履约单id",
        "type": "string",
        "example": "\"4005740193290131085320\""
      },
      "example": "\"4005740193290131085320\""
    },
    {
      "name": "order_id",
      "in": "path",
      "description": "订单id",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_id",
        "description": "订单id",
        "type": "string",
        "example": "\"21057401932826316666967110\""
      },
      "example": "\"21057401932826316666967110\""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "fulfillment_order": {
              "name": "fulfillment_order",
              "description": "入参",
              "type": "object",
              "properties": {
                "new_location_id": {
                  "name": "new_location_id",
                  "description": "新地点id",
                  "type": "string",
                  "example": "\"134429880\""
                }
              },
              "required": [
                "new_location_id"
              ],
              "example": {
                "new_location_id": "\"134429880\""
              }
            }
          },
          "required": [
            "fulfillment_order"
          ],
          "example": {
            "fulfillment_order": {
              "new_location_id": "\"134429880\""
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "original_fulfillment_order": {
                "name": "original_fulfillment_order",
                "description": "原履约单详情",
                "type": "object",
                "properties": {
                  "id": {
                    "name": "id",
                    "description": "履约单id",
                    "type": "string",
                    "example": "\"4005740193290131085320\""
                  },
                  "shop_id": {
                    "name": "shop_id",
                    "description": "店铺id",
                    "type": "string",
                    "example": "\"1644828244663\""
                  },
                  "supported_actions": {
                    "name": "supported_actions",
                    "description": "履约单支持的操作,包括：create_fulfillment -- 创建发货，move -- 移动到新地点，hold -- 暂停发货，release_hold -- （暂停之后）开始发货",
                    "type": "array",
                    "items": {
                      "name": "supported_actions",
                      "description": "履约单支持的操作,包括：create_fulfillment -- 创建发货，move -- 移动到新地点，hold -- 暂停发货，release_hold -- （暂停之后）开始发货",
                      "type": "string",
                      "example": "[\"create_fulfillment\"]"
                    },
                    "example": [
                      "[\"create_fulfillment\"]"
                    ]
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "订单id",
                    "type": "string",
                    "example": "\"21057401932826316666967110\""
                  },
                  "status": {
                    "name": "status",
                    "description": "履约单状态，包括：open，in_progress，closed，cancelled，incomplete，on_hold，scheduled",
                    "type": "string",
                    "example": "\"open\""
                  },
                  "assigned_location_id": {
                    "name": "assigned_location_id",
                    "description": "被分配的地点id",
                    "type": "string",
                    "example": "\"5327026538935748524\""
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "商品行信息",
                    "type": "array",
                    "items": {
                      "name": "line_items",
                      "description": "商品行信息",
                      "type": "object",
                      "properties": {
                        "fulfillable_quantity": {
                          "name": "fulfillable_quantity",
                          "description": "可履约商品数量",
                          "type": "long",
                          "example": 1
                        },
                        "fulfillment_order_id": {
                          "name": "fulfillment_order_id",
                          "description": "履约单id",
                          "type": "string",
                          "example": "\"4005740193290131085320\""
                        },
                        "id": {
                          "name": "id",
                          "description": "履约单商品行id",
                          "type": "string",
                          "example": "\"1039283\""
                        },
                        "line_item_id": {
                          "name": "line_item_id",
                          "description": "商品行id",
                          "type": "string",
                          "example": "\"518995019\""
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "订单商品行商品数量",
                          "type": "long",
                          "example": 1
                        },
                        "shop_id": {
                          "name": "shop_id",
                          "description": "店铺id",
                          "type": "string",
                          "example": "\"1644828244663\""
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "商品sku",
                          "type": "string",
                          "example": "\"18055128824718541486811487\""
                        }
                      },
                      "example": {
                        "shop_id": "\"1644828244663\"",
                        "variant_id": "\"18055128824718541486811487\"",
                        "fulfillable_quantity": 1,
                        "fulfillment_order_id": "\"4005740193290131085320\"",
                        "id": "\"1039283\"",
                        "line_item_id": "\"518995019\"",
                        "quantity": 1
                      }
                    },
                    "example": [
                      {
                        "variant_id": "\"18055128824718541486811487\"",
                        "fulfillable_quantity": 1,
                        "fulfillment_order_id": "\"4005740193290131085320\"",
                        "id": "\"1039283\"",
                        "line_item_id": "\"518995019\"",
                        "quantity": 1,
                        "shop_id": "\"1644828244663\""
                      }
                    ]
                  },
                  "request_status": {
                    "name": "request_status",
                    "description": "请求状态，包括：accepted，cancellation_accepted, cancellation_rejected，cancellation_Requested，closed，rejected，submitted，unsubmitted",
                    "type": "string",
                    "example": "\"submitted\""
                  },
                  "assigned_location": {
                    "name": "assigned_location",
                    "description": "被分配的地点详情",
                    "type": "object",
                    "properties": {
                      "address2": {
                        "name": "address2",
                        "description": "地址2",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "name": {
                        "name": "name",
                        "description": "地点名称",
                        "type": "string",
                        "example": "\"Apple Api Shipwire\""
                      },
                      "phone": {
                        "name": "phone",
                        "description": "地点电话号码",
                        "type": "string",
                        "example": "\"+1(502)-459-3417\""
                      },
                      "city": {
                        "name": "city",
                        "description": "城市",
                        "type": "string",
                        "example": "\"Louisville\""
                      },
                      "country_code": {
                        "name": "country_code",
                        "description": "国家码",
                        "type": "string",
                        "example": "\"US\""
                      },
                      "location_id": {
                        "name": "location_id",
                        "description": "地点id",
                        "type": "string",
                        "example": "\"5327026538935748524\""
                      },
                      "province": {
                        "name": "province",
                        "description": "地点省份",
                        "type": "string",
                        "example": "\"Kentucky\""
                      },
                      "zip": {
                        "name": "zip",
                        "description": "地点邮编",
                        "type": "string",
                        "example": "\"40202\""
                      },
                      "address1": {
                        "name": "address1",
                        "description": "地址1",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      }
                    },
                    "example": {
                      "province": "\"Kentucky\"",
                      "address2": "\"Chestnut Street 92\"",
                      "zip": "\"40202\"",
                      "name": "\"Apple Api Shipwire\"",
                      "address1": "\"Chestnut Street 92\"",
                      "location_id": "\"5327026538935748524\"",
                      "phone": "\"+1(502)-459-3417\"",
                      "city": "\"Louisville\"",
                      "country_code": "\"US\""
                    }
                  },
                  "destination": {
                    "name": "destination",
                    "description": "收货人信息",
                    "type": "object",
                    "properties": {
                      "company": {
                        "name": "company",
                        "description": "收货人公司",
                        "type": "string",
                        "example": "\"Apple inc\""
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "收货人姓氏",
                        "type": "string",
                        "example": "\"Norman\""
                      },
                      "zip": {
                        "name": "zip",
                        "description": "收货人地址邮编",
                        "type": "string",
                        "example": "\"40202\""
                      },
                      "phone": {
                        "name": "phone",
                        "description": "收货人电话号码",
                        "type": "string",
                        "example": "\"+1(502)-459-2181\""
                      },
                      "address2": {
                        "name": "address2",
                        "description": "收货人地址2",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "email": {
                        "name": "email",
                        "description": "收货人邮箱",
                        "type": "string",
                        "example": "\"bob.norman@mail.example.com\""
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "收货人名称",
                        "type": "string",
                        "example": "\"Bob\""
                      },
                      "country": {
                        "name": "country",
                        "description": "收货人国家",
                        "type": "string",
                        "example": "\"United States\""
                      },
                      "address1": {
                        "name": "address1",
                        "description": "收货人地址1",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "city": {
                        "name": "city",
                        "description": "收货人城市",
                        "type": "string",
                        "example": "\"Louisville\""
                      },
                      "province": {
                        "name": "province",
                        "description": "收货人省份",
                        "type": "string",
                        "example": "\"Kentucky\""
                      }
                    },
                    "example": {
                      "address1": "\"Chestnut Street 92\"",
                      "address2": "\"Chestnut Street 92\"",
                      "first_name": "\"Bob\"",
                      "email": "\"bob.norman@mail.example.com\"",
                      "country": "\"United States\"",
                      "last_name": "\"Norman\"",
                      "zip": "\"40202\"",
                      "province": "\"Kentucky\"",
                      "company": "\"Apple inc\"",
                      "phone": "\"+1(502)-459-2181\"",
                      "city": "\"Louisville\""
                    }
                  }
                },
                "example": {
                  "request_status": "\"submitted\"",
                  "assigned_location_id": "\"5327026538935748524\"",
                  "destination": {
                    "province": "\"Kentucky\"",
                    "zip": "\"40202\"",
                    "email": "\"bob.norman@mail.example.com\"",
                    "first_name": "\"Bob\"",
                    "city": "\"Louisville\"",
                    "phone": "\"+1(502)-459-2181\"",
                    "address1": "\"Chestnut Street 92\"",
                    "company": "\"Apple inc\"",
                    "address2": "\"Chestnut Street 92\"",
                    "country": "\"United States\"",
                    "last_name": "\"Norman\""
                  },
                  "line_items": [
                    {
                      "quantity": 1,
                      "shop_id": "\"1644828244663\"",
                      "variant_id": "\"18055128824718541486811487\"",
                      "fulfillable_quantity": 1,
                      "fulfillment_order_id": "\"4005740193290131085320\"",
                      "id": "\"1039283\"",
                      "line_item_id": "\"518995019\""
                    }
                  ],
                  "status": "\"open\"",
                  "assigned_location": {
                    "province": "\"Kentucky\"",
                    "address1": "\"Chestnut Street 92\"",
                    "address2": "\"Chestnut Street 92\"",
                    "country_code": "\"US\"",
                    "location_id": "\"5327026538935748524\"",
                    "zip": "\"40202\"",
                    "city": "\"Louisville\"",
                    "phone": "\"+1(502)-459-3417\"",
                    "name": "\"Apple Api Shipwire\""
                  },
                  "id": "\"4005740193290131085320\"",
                  "shop_id": "\"1644828244663\"",
                  "supported_actions": [
                    "[\"create_fulfillment\"]"
                  ],
                  "order_id": "\"21057401932826316666967110\""
                }
              },
              "moved_fulfillment_order": {
                "name": "moved_fulfillment_order",
                "description": "新履约单详情",
                "type": "object",
                "properties": {
                  "line_items": {
                    "name": "line_items",
                    "description": "商品行信息",
                    "type": "array",
                    "items": {
                      "name": "line_items",
                      "description": "商品行信息",
                      "type": "object",
                      "properties": {
                        "shop_id": {
                          "name": "shop_id",
                          "description": "店铺id",
                          "type": "string",
                          "example": "\"1644828244663\""
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "商品sku",
                          "type": "string",
                          "example": "\"18055128824718541486811487\""
                        },
                        "fulfillable_quantity": {
                          "name": "fulfillable_quantity",
                          "description": "可履约商品数量",
                          "type": "long",
                          "example": 1
                        },
                        "fulfillment_order_id": {
                          "name": "fulfillment_order_id",
                          "description": "履约单id",
                          "type": "string",
                          "example": "\"4005740193290131085320\""
                        },
                        "id": {
                          "name": "id",
                          "description": "履约单商品行id",
                          "type": "string",
                          "example": "\"1039283\""
                        },
                        "line_item_id": {
                          "name": "line_item_id",
                          "description": "商品行id",
                          "type": "string",
                          "example": "\"518995019\""
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "订单商品行商品数量",
                          "type": "long",
                          "example": 1
                        }
                      },
                      "example": {
                        "id": "\"1039283\"",
                        "line_item_id": "\"518995019\"",
                        "quantity": 1,
                        "shop_id": "\"1644828244663\"",
                        "variant_id": "\"18055128824718541486811487\"",
                        "fulfillable_quantity": 1,
                        "fulfillment_order_id": "\"4005740193290131085320\""
                      }
                    },
                    "example": [
                      {
                        "shop_id": "\"1644828244663\"",
                        "variant_id": "\"18055128824718541486811487\"",
                        "fulfillable_quantity": 1,
                        "fulfillment_order_id": "\"4005740193290131085320\"",
                        "id": "\"1039283\"",
                        "line_item_id": "\"518995019\"",
                        "quantity": 1
                      }
                    ]
                  },
                  "assigned_location": {
                    "name": "assigned_location",
                    "description": "被分配的地点详情",
                    "type": "object",
                    "properties": {
                      "zip": {
                        "name": "zip",
                        "description": "地点邮编",
                        "type": "string",
                        "example": "\"40202\""
                      },
                      "address1": {
                        "name": "address1",
                        "description": "地址1",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "name": {
                        "name": "name",
                        "description": "地点名称",
                        "type": "string",
                        "example": "\"Apple Api Shipwire\""
                      },
                      "phone": {
                        "name": "phone",
                        "description": "地点电话号码",
                        "type": "string",
                        "example": "\"+1(502)-459-3417\""
                      },
                      "location_id": {
                        "name": "location_id",
                        "description": "地点id",
                        "type": "string",
                        "example": "\"5327026538935748524\""
                      },
                      "address2": {
                        "name": "address2",
                        "description": "地址2",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "province": {
                        "name": "province",
                        "description": "地点省份",
                        "type": "string",
                        "example": "\"Kentucky\""
                      },
                      "city": {
                        "name": "city",
                        "description": "城市",
                        "type": "string",
                        "example": "\"Louisville\""
                      },
                      "country_code": {
                        "name": "country_code",
                        "description": "国家码",
                        "type": "string",
                        "example": "\"US"
                      }
                    },
                    "example": {
                      "name": "\"Apple Api Shipwire\"",
                      "phone": "\"+1(502)-459-3417\"",
                      "province": "\"Kentucky\"",
                      "address1": "\"Chestnut Street 92\"",
                      "country_code": "\"US",
                      "address2": "\"Chestnut Street 92\"",
                      "zip": "\"40202\"",
                      "location_id": "\"5327026538935748524\"",
                      "city": "\"Louisville\""
                    }
                  },
                  "supported_actions": {
                    "name": "supported_actions",
                    "description": "履约单支持的操作,包括：create_fulfillment -- 创建发货，move -- 移动到新地点，hold -- 暂停发货，release_hold -- （暂停之后）开始发货",
                    "type": "array",
                    "items": {
                      "name": "supported_actions",
                      "description": "履约单支持的操作,包括：create_fulfillment -- 创建发货，move -- 移动到新地点，hold -- 暂停发货，release_hold -- （暂停之后）开始发货",
                      "type": "string",
                      "example": "[\"create_fulfillment\"]"
                    },
                    "example": [
                      "[\"create_fulfillment\"]"
                    ]
                  },
                  "assigned_location_id": {
                    "name": "assigned_location_id",
                    "description": "被分配的地点id",
                    "type": "string",
                    "example": "\"5327026538935748524\""
                  },
                  "request_status": {
                    "name": "request_status",
                    "description": "请求状态，包括：accepted，cancellation_accepted, cancellation_rejected，cancellation_Requested，closed，rejected，submitted，unsubmitted",
                    "type": "string",
                    "example": "\"submitted\""
                  },
                  "destination": {
                    "name": "destination",
                    "description": "收货人信息",
                    "type": "object",
                    "properties": {
                      "province": {
                        "name": "province",
                        "description": "收货人省份",
                        "type": "string",
                        "example": "\"Kentucky\""
                      },
                      "address2": {
                        "name": "address2",
                        "description": "收货人地址2",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      },
                      "company": {
                        "name": "company",
                        "description": "收货人公司",
                        "type": "string",
                        "example": "\"Apple inc\""
                      },
                      "country": {
                        "name": "country",
                        "description": "收货人国家",
                        "type": "string",
                        "example": "\"United States\""
                      },
                      "zip": {
                        "name": "zip",
                        "description": "收货人地址邮编",
                        "type": "string",
                        "example": "\"40202\""
                      },
                      "email": {
                        "name": "email",
                        "description": "收货人邮箱",
                        "type": "string",
                        "example": "\"bob.norman@mail.example.com\""
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "收货人名称",
                        "type": "string",
                        "example": "\"Bob\""
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "收货人姓氏",
                        "type": "string",
                        "example": "\"Norman\""
                      },
                      "phone": {
                        "name": "phone",
                        "description": "收货人电话号码",
                        "type": "string",
                        "example": "\"+1(502)-459-2181\""
                      },
                      "city": {
                        "name": "city",
                        "description": "收货人城市",
                        "type": "string",
                        "example": "\"Louisville\""
                      },
                      "address1": {
                        "name": "address1",
                        "description": "收货人地址1",
                        "type": "string",
                        "example": "\"Chestnut Street 92\""
                      }
                    },
                    "example": {
                      "first_name": "\"Bob\"",
                      "city": "\"Louisville\"",
                      "email": "\"bob.norman@mail.example.com\"",
                      "phone": "\"+1(502)-459-2181\"",
                      "last_name": "\"Norman\"",
                      "province": "\"Kentucky\"",
                      "company": "\"Apple inc\"",
                      "country": "\"United States\"",
                      "zip": "\"40202\"",
                      "address1": "\"Chestnut Street 92\"",
                      "address2": "\"Chestnut Street 92\""
                    }
                  },
                  "shop_id": {
                    "name": "shop_id",
                    "description": "店铺id",
                    "type": "string",
                    "example": "\"1644828244663\""
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "订单id",
                    "type": "string",
                    "example": "\"21057401932826316666967110\""
                  },
                  "id": {
                    "name": "id",
                    "description": "履约单id",
                    "type": "string",
                    "example": "\"4005740193290131085320\""
                  },
                  "status": {
                    "name": "status",
                    "description": "履约单状态，包括：open，in_progress，closed，cancelled，incomplete，on_hold，scheduled",
                    "type": "string",
                    "example": "\"open\""
                  }
                },
                "example": {
                  "assigned_location": {
                    "zip": "\"40202\"",
                    "address2": "\"Chestnut Street 92\"",
                    "phone": "\"+1(502)-459-3417\"",
                    "address1": "\"Chestnut Street 92\"",
                    "province": "\"Kentucky\"",
                    "country_code": "\"US",
                    "name": "\"Apple Api Shipwire\"",
                    "city": "\"Louisville\"",
                    "location_id": "\"5327026538935748524\""
                  },
                  "line_items": [
                    {
                      "fulfillable_quantity": 1,
                      "fulfillment_order_id": "\"4005740193290131085320\"",
                      "id": "\"1039283\"",
                      "line_item_id": "\"518995019\"",
                      "quantity": 1,
                      "shop_id": "\"1644828244663\"",
                      "variant_id": "\"18055128824718541486811487\""
                    }
                  ],
                  "supported_actions": [
                    "[\"create_fulfillment\"]"
                  ],
                  "assigned_location_id": "\"5327026538935748524\"",
                  "destination": {
                    "phone": "\"+1(502)-459-2181\"",
                    "address1": "\"Chestnut Street 92\"",
                    "last_name": "\"Norman\"",
                    "city": "\"Louisville\"",
                    "first_name": "\"Bob\"",
                    "address2": "\"Chestnut Street 92\"",
                    "company": "\"Apple inc\"",
                    "country": "\"United States\"",
                    "province": "\"Kentucky\"",
                    "email": "\"bob.norman@mail.example.com\"",
                    "zip": "\"40202\""
                  },
                  "status": "\"open\"",
                  "shop_id": "\"1644828244663\"",
                  "id": "\"4005740193290131085320\"",
                  "request_status": "\"submitted\"",
                  "order_id": "\"21057401932826316666967110\""
                }
              }
            },
            "example": {
              "original_fulfillment_order": {
                "order_id": "\"21057401932826316666967110\"",
                "assigned_location": {
                  "name": "\"Apple Api Shipwire\"",
                  "province": "\"Kentucky\"",
                  "city": "\"Louisville\"",
                  "country_code": "\"US\"",
                  "phone": "\"+1(502)-459-3417\"",
                  "zip": "\"40202\"",
                  "address1": "\"Chestnut Street 92\"",
                  "address2": "\"Chestnut Street 92\"",
                  "location_id": "\"5327026538935748524\""
                },
                "line_items": [
                  {
                    "quantity": 1,
                    "shop_id": "\"1644828244663\"",
                    "variant_id": "\"18055128824718541486811487\"",
                    "fulfillable_quantity": 1,
                    "fulfillment_order_id": "\"4005740193290131085320\"",
                    "id": "\"1039283\"",
                    "line_item_id": "\"518995019\""
                  }
                ],
                "assigned_location_id": "\"5327026538935748524\"",
                "status": "\"open\"",
                "id": "\"4005740193290131085320\"",
                "shop_id": "\"1644828244663\"",
                "request_status": "\"submitted\"",
                "destination": {
                  "province": "\"Kentucky\"",
                  "zip": "\"40202\"",
                  "company": "\"Apple inc\"",
                  "first_name": "\"Bob\"",
                  "address2": "\"Chestnut Street 92\"",
                  "country": "\"United States\"",
                  "email": "\"bob.norman@mail.example.com\"",
                  "address1": "\"Chestnut Street 92\"",
                  "last_name": "\"Norman\"",
                  "phone": "\"+1(502)-459-2181\"",
                  "city": "\"Louisville\""
                },
                "supported_actions": [
                  "[\"create_fulfillment\"]"
                ]
              },
              "moved_fulfillment_order": {
                "line_items": [
                  {
                    "fulfillable_quantity": 1,
                    "fulfillment_order_id": "\"4005740193290131085320\"",
                    "id": "\"1039283\"",
                    "line_item_id": "\"518995019\"",
                    "quantity": 1,
                    "shop_id": "\"1644828244663\"",
                    "variant_id": "\"18055128824718541486811487\""
                  }
                ],
                "shop_id": "\"1644828244663\"",
                "assigned_location": {
                  "zip": "\"40202\"",
                  "location_id": "\"5327026538935748524\"",
                  "province": "\"Kentucky\"",
                  "address1": "\"Chestnut Street 92\"",
                  "phone": "\"+1(502)-459-3417\"",
                  "country_code": "\"US",
                  "name": "\"Apple Api Shipwire\"",
                  "address2": "\"Chestnut Street 92\"",
                  "city": "\"Louisville\""
                },
                "request_status": "\"submitted\"",
                "assigned_location_id": "\"5327026538935748524\"",
                "id": "\"4005740193290131085320\"",
                "destination": {
                  "phone": "\"+1(502)-459-2181\"",
                  "email": "\"bob.norman@mail.example.com\"",
                  "province": "\"Kentucky\"",
                  "address1": "\"Chestnut Street 92\"",
                  "address2": "\"Chestnut Street 92\"",
                  "city": "\"Louisville\"",
                  "company": "\"Apple inc\"",
                  "zip": "\"40202\"",
                  "country": "\"United States\"",
                  "first_name": "\"Bob\"",
                  "last_name": "\"Norman\""
                },
                "order_id": "\"21057401932826316666967110\"",
                "status": "\"open\"",
                "supported_actions": [
                  "[\"create_fulfillment\"]"
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/fulfillment_orders/:order_id/:fulfillment_order_id/move.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "更新履约单库存地点",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_assigned_fulfillment_orders"
  ]
}
```